<?php
class Issue{

  	public function __construct(Repo $repo,$data){
      $this->repo=$repo;
  		$this->data=$data;
  	}

    public function request($url, $type='GET', $postFields = null){
      return $this->repo->request($url, $type, $postFields);
    }

    public function getData(){
      return $this->data;
  	}

    public function getRepo(){
      return $this->repo;
    }

    public function save(){
  		return $this->request($this->data->url,'PATCH',$this->data);
  	}

  	public function addLabel($label){
      $args=['labels'=>[$label->getData()->id]];
      return $this->request($this->data->url.'/labels','POST',$args);
  	}

  	public function removeLabel($label){
      $id=$label->getData()->id;
      return $this->request($this->data->url."/labels/$id",'DELETE');
  	}

  	public function addComment($body){
  		$args=['body'=>$body];
  		return $this->request($this->data->url.'/comments','POST',$args);
  	}

  	public function hasLabel($label){
      $id=$label->getData()->id;
  		foreach($this->data->labels as $label){
  			if($label->id==$id){
  				return true;
  			}
  		}
  		return false;
  	}
}
